core::trust::Agent::Registry Struct Referenceabstract

Abstracts functionality for storing agent instances and associating them with a user id. More...

`#include <agent.h>`

Collaboration diagram for core::trust::Agent::Registry:

## Public Types

typedef std::shared_ptr< Registry > | Ptr
| Convenience typedef for a shared ptr. More...

## Public Member Functions

virtual void | register_agent_for_user (const core::trust::Uid &uid, const std::shared_ptr< core::trust::Agent > &agent)=0
| Registers an agent for the given uid. More...
virtual void | unregister_agent_for_user (const core::trust::Uid &uid)=0
| Removes the agent for the given uid from the registry. More...

## Detailed Description

Abstracts functionality for storing agent instances and associating them with a user id.

Definition at line 47 of file agent.h.

## Member Typedef Documentation

typedef std::shared_ptr<Registry> core::trust::Agent::Registry::Ptr

Convenience typedef for a shared ptr.

Definition at line 50 of file agent.h.

## Member Function Documentation

virtual void core::trust::Agent::Registry::register_agent_for_user | ( | const core::trust::Uid & | uid,
|  | const std::shared_ptr< core::trust::Agent > & | agent
| ) |  |

pure virtual

Registers an agent for the given uid.

virtual void core::trust::Agent::Registry::unregister_agent_for_user | ( | const core::trust::Uid & | uid | ) |

pure virtual

Removes the agent for the given uid from the registry.

The documentation for this struct was generated from the following file:

- /build/trust-store-uD3f_u/trust-store-2.0.0+16.04.20160119/include/core/trust/agent.h